remove parallel build param from BaseTools make 38/head
authorVijay <vijay@indianets.com>
星期天, 18 Jul 2021 18:36:14 +0000 (00:06 +0530)
committerGitHub <noreply@github.com>
星期天, 18 Jul 2021 18:36:14 +0000 (00:06 +0530)
tianocore/edk2-platforms recommend not passing any -j option.

Source: https://github.com/tianocore/edk2-platforms/tree/086a3a3ce6c42c859ee5943eb2c4b6edcefdc241#manual-building
(BaseTools can currently not be built in parallel, so do not specify any -j option, either on the command line or in a MAKEFLAGS environment variable.)

build.sh

index 01c5d25c5757e4df229c1f8be3d0456e89364b22..7eab7216afd6e6f03202f06fab730be4141f606f 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -50,7 +50,7 @@ function _build(){
        source "${_EDK2}/edksetup.sh"
        [ -d "${WORKSPACE}" ]||mkdir "${WORKSPACE}"
        set -x
-       make -C "${_EDK2}/BaseTools" -j "$(nproc)"||exit "$?"
+       make -C "${_EDK2}/BaseTools"||exit "$?"
        if "${GEN_ACPI}" && ! iasl -ve "sdm845Pkg/AcpiTables/${DEVICE}/Dsdt.asl"
        then echo "iasl failed with ${?}" >&2;return 1
        fi